<template>
<div>
  <div id="vxgPlayer"></div>
</div>
</template>
<script>
export default {
  props: {
    url: {
      default: '',
      type: String
    },
    width: {
      default: '460',
      type: String
    },
    height: {
      default: '320',
      type: String
    }
  },
  data() {
    return {

    }
  },
  methods: {
    /* eslint-disable */
    VxgInit() {
      let node = document.getElementById('vxg_media_player')
      if(!node){
        var playerId = 'vxg_media_player'
        var div = document.createElement('div')
        div.setAttribute('id', playerId)
        div.setAttribute('class', 'vxgplayer')
        var runtimePlayers = document.getElementById('vxgPlayer')
        runtimePlayers.appendChild(div)
        console.log(runtimePlayers, 'vxgplayer')
        vxgplayer(playerId, {
          url: this.url,
          nmf_path: 'media_player.nmf',
          nmf_src: '/static/vxgplayer-1.8.31/pnacl/Release/media_player.nmf',
          latency: 300000,
          width: this.width,
          height: this.height,
          aspect_ratio_mode: 1,
          autohide: 3,
          controls: true,
          connection_timeout: 5000,
          connection_udp: 0,
          custom_digital_zoom: false
        }).ready(function() {
          console.log(' =>ready player ' + this.url)
          vxgplayer(playerId).play()
          console.log(' <=ready player ' + playerId)
        })
      } else {
        node.parentNode.removeChild(node)
        setTimeout(() => {
          var playerId = 'vxg_media_player'
          var div = document.createElement('div')
          div.setAttribute('id', playerId)
          div.setAttribute('class', 'vxgplayer')
          var runtimePlayers = document.getElementById('vxgPlayer')
          runtimePlayers.appendChild(div)
          console.log(runtimePlayers, 'vxgplayer')
          vxgplayer(playerId, {
            url: this.url,
            nmf_path: 'media_player.nmf',
            nmf_src: '/static/vxgplayer-1.8.31/pnacl/Release/media_player.nmf',
            latency: 300000,
            width: this.width,
            height: this.height,
            aspect_ratio_mode: 1,
            autohide: 3,
            controls: true,
            connection_timeout: 5000,
            connection_udp: 0,
            custom_digital_zoom: false
          }).ready(function() {
            console.log(' =>ready player ' + this.url)
            vxgplayer(playerId).play()
            console.log(' <=ready player ' + playerId)
          })
        }, 200)
      }
      
    }
  },
  mounted() {
    let node = document.getElementById('vxg_media_player')
    // node.parentNode.removeChild(node)
    console.log(node,'node')
    // setTimeout(() => {
    //   this.VxgInit()
    // }, 200)
  },
  created() {
    // setTimeout(() => {
    //   this.VxgInit()
    // }, 100)
  }
}
</script>
<style>
</style>
